Package ru.bitel.bgbilling.plugins.sbpilot.common.bean

# Class SbPilotPayment

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.plugins.sbpilot.common.bean.SbPilotPayment

All Implemented Interfaces:
  `java.io.Serializable`, `JsoneableModel`, `Contractable`, `Idable`

    public class SbPilotPayment
    extends Id
    implements Contractable, JsoneableModel

Моделька "паймент SbPilot", она типа расширяет существующую модель "платёж" - объединяет тут поля из таблицы платежей SbPilot, контракта итд.

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `SbPilotPayment()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getAuthcode()` |
  `java.lang.String` | `getCarddate()` |
  `java.lang.String` | `getCardnum()` |
  `java.lang.String` | `getCardtype()` |
  `java.lang.String` | `getContractComment()` |
  `int` | `getContractId()` | Возвращает код договора к которому привязан объект.
  `java.lang.String` | `getContractTitle()` | Возвращает название договора
  `java.util.Date` | `getDate()` |
  `java.lang.String` | `getInternalnum()` |
  `java.lang.String` | `getPaymentComment()` |
  `java.lang.String` | `getPaymentTypeTitle()` |
  `java.math.BigDecimal` | `getSumma()` |
  `void` | `setAuthcode​(java.lang.String authcode)` |
  `void` | `setCarddate​(java.lang.String carddate)` |
  `void` | `setCardnum​(java.lang.String cardnum)` |
  `void` | `setCardtype​(java.lang.String cardtype)` |
  `void` | `setContractComment​(java.lang.String contractComment)` |
  `void` | `setContractId​(int contractId)` | Устанавливает код договора к которому привязан объект.
  `void` | `setContractTitle​(java.lang.String contractTitle)` | Устанавливает название договора
  `void` | `setDate​(java.util.Date date)` |
  `void` | `setInternalnum​(java.lang.String internalnum)` |
  `void` | `setPaymentComment​(java.lang.String paymentComment)` |
  `void` | `setPaymentTypeTitle​(java.lang.String paymentTypeTitle)` |
  `void` | `setSumma​(java.math.BigDecimal summa)` |

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.bgbilling.plugins.sbpilot.common.bean.JsoneableModel

  `fromJson, toJson, toJson`

- ## Constructor Details

  - ### SbPilotPayment

    public SbPilotPayment()

- ## Method Details

  - ### getContractComment

    public java.lang.String getContractComment()

  - ### setContractComment

    public void setContractComment​(java.lang.String contractComment)

  - ### setPaymentComment

    public void setPaymentComment​(java.lang.String paymentComment)

  - ### getPaymentComment

    public java.lang.String getPaymentComment()

  - ### setSumma

    public void setSumma​(java.math.BigDecimal summa)

  - ### getSumma

    public java.math.BigDecimal getSumma()

  - ### getContractId

    public int getContractId()
    Description copied from interface: `Contractable`
    Возвращает код договора к которому привязан объект.
    Specified by:
      `getContractId` in interface `Contractable`
    Returns:
      код договора

  - ### setContractId

    public void setContractId​(int contractId)
    Description copied from interface: `Contractable`
    Устанавливает код договора к которому привязан объект.
    Specified by:
      `setContractId` in interface `Contractable`
    Parameters:
      `contractId` - код договора

  - ### setDate

    public void setDate​(java.util.Date date)

  - ### getDate

    public java.util.Date getDate()

  - ### getContractTitle

    public java.lang.String getContractTitle()
    Description copied from interface: `Contractable`
    Возвращает название договора
    Specified by:
      `getContractTitle` in interface `Contractable`
    Returns:
      название договора

  - ### setContractTitle

    public void setContractTitle​(java.lang.String contractTitle)
    Description copied from interface: `Contractable`
    Устанавливает название договора
    Specified by:
      `setContractTitle` in interface `Contractable`
    Parameters:
      `contractTitle` - название договора

  - ### getPaymentTypeTitle

    public java.lang.String getPaymentTypeTitle()

  - ### setPaymentTypeTitle

    public void setPaymentTypeTitle​(java.lang.String paymentTypeTitle)

  - ### getCardnum

    public java.lang.String getCardnum()

  - ### setCardnum

    public void setCardnum​(java.lang.String cardnum)

  - ### getCarddate

    public java.lang.String getCarddate()

  - ### setCarddate

    public void setCarddate​(java.lang.String carddate)

  - ### getAuthcode

    public java.lang.String getAuthcode()

  - ### setAuthcode

    public void setAuthcode​(java.lang.String authcode)

  - ### getInternalnum

    public java.lang.String getInternalnum()

  - ### setInternalnum

    public void setInternalnum​(java.lang.String internalnum)

  - ### getCardtype

    public java.lang.String getCardtype()

  - ### setCardtype

    public void setCardtype​(java.lang.String cardtype)